> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List catalog jobs

> List catalog jobs



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /catalog/jobs
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /catalog/jobs:
    get:
      tags:
        - Catalog
      summary: List catalog jobs
      description: List catalog jobs
      operationId: list-catalog-jobs
      parameters:
        - $ref: '#/components/parameters/pageNumber'
        - $ref: '#/components/parameters/pageLimit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      jobs:
                        type: array
                        items:
                          $ref: '#/components/schemas/CatalogJob'
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    type: object
      security:
        - Authorization: []
components:
  parameters:
    pageNumber:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
        minimum: 1
      description: page number of pagination list
    pageLimit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        default: 25
        minimum: 1
      description: no of rows per page
  schemas:
    CatalogJob:
      title: CatalogJob
      type: object
      required:
        - job_id
        - kind
        - status
        - input_data
        - message
        - marketplace_id
        - created_at
        - modified_at
        - completed_at
      properties:
        job_id:
          type: string
        kind:
          type: string
          enum:
            - marketplace-sync
        status:
          $ref: '#/components/schemas/CatalogJobStatus'
        input_data:
          type: object
        message:
          type:
            - string
            - 'null'
        marketplace_id:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        completed_at:
          type: string
          format: date-time
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
    CatalogJobStatus:
      enum:
        - pending
        - running
        - success
        - failed
        - partial
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````